Subject: bug#20272: Support reproducible builds

From: Mark H Weaver <[email-masked]>
Date: Thu, 11 Feb 2016 02:09:55 -0500

[email-masked] (Ludovic Courtès) writes:

> Currently .go files embed randomly-generated symbols stemming from
> ‘syntax-session-id’, which prevents reproducible builds (see
> <https://lists.gnu.org/archive/html/guix-devel/2013-09/msg00159.html>.)

I've given this more thought, and I think I have a way that avoids
session-ids altogether.

Currently, we include both the session-id and a global gensym counter in
the names of freshly generated marks and labels in psyntax.scm.
Instead, let them include the module name and a per-module counter.

More later...

    Mark